[ 
https://issues.apache.org/jira/browse/KARAF-5130?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
 ]

Jean-Baptiste Onofré reassigned KARAF-5130:
-------------------------------------------

    Assignee: Jean-Baptiste Onofré

> Artemis Feature Johnzon dependency is not installed
> ---------------------------------------------------
>
>                 Key: KARAF-5130
>                 URL: https://issues.apache.org/jira/browse/KARAF-5130
>             Project: Karaf
>          Issue Type: Bug
>          Components: karaf-feature
>    Affects Versions: 4.1.1
>         Environment: Windows 10
>            Reporter: Bernd Rosstauscher
>            Assignee: Jean-Baptiste Onofré
>
> Hi,
> I have a problem in the artemis feature running on Karaf. It throws an 
> exception when I try to access the management queue via a JMS client.
> The following excpection is then displayed in Karaf and the JMS client gets a 
> error message back.
> java.lang.ExceptionInInitializerError
>         at 
> org.apache.activemq.artemis.api.core.JsonUtil.toJSONArray(JsonUtil.java:46) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.api.core.management.ManagementHelper.storeResult(ManagementHelper.java:181)
>  ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.server.management.impl.ManagementServiceImpl.handleMessage(ManagementServiceImpl.java:413)
>  ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.server.impl.ServerSessionImpl.handleManagementMessage(ServerSessionImpl.java:1562)
>  ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.server.impl.ServerSessionImpl.send(ServerSessionImpl.java:1349)
>  ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.server.impl.ServerSessionImpl.send(ServerSessionImpl.java:1295)
>  ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.server.impl.ServerSessionImpl.send(ServerSessionImpl.java:1288)
>  ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.protocol.core.ServerSessionPacketHandler.handlePacket(ServerSessionPacketHandler.java:494)
>  [72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.protocol.core.impl.ChannelImpl.handlePacket(ChannelImpl.java:628)
>  [72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.protocol.core.impl.RemotingConnectionImpl.doBufferReceived(RemotingConnectionImpl.java:381)
>  [72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.protocol.core.impl.RemotingConnectionImpl.bufferReceived(RemotingConnectionImpl.java:363)
>  [72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.remoting.server.impl.RemotingServiceImpl$DelegatingBufferHandler.bufferReceived(RemotingServiceImpl.java:631)
>  [72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.remoting.impl.netty.ActiveMQChannelHandler.channelRead(ActiveMQChannelHandler.java:69)
>  [72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.handler.codec.ByteToMessageDecoder.fireChannelRead(ByteToMessageDecoder.java:293)
>  [54:io.netty.codec:4.1.9.Final]
>         at 
> io.netty.handler.codec.ByteToMessageDecoder.channelRead(ByteToMessageDecoder.java:267)
>  [54:io.netty.codec:4.1.9.Final]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.nio.AbstractNioByteChannel$NioByteUnsafe.read(AbstractNioByteChannel.java:134)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.nio.NioEventLoop.processSelectedKey(NioEventLoop.java:624) 
> [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.nio.NioEventLoop.processSelectedKeysOptimized(NioEventLoop.java:559)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.nio.NioEventLoop.processSelectedKeys(NioEventLoop.java:476) 
> [60:io.netty.transport:4.1.9.Final]
>         at io.netty.channel.nio.NioEventLoop.run(NioEventLoop.java:438) 
> [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858)
>  [57:io.netty.common:4.1.9.Final]
>         at java.lang.Thread.run(Thread.java:745) [?:?]
> Caused by: javax.json.JsonException: org.apache.johnzon.core.JsonProviderImpl 
> not found
>         at javax.json.spi.JsonProvider.doLoadProvider(JsonProvider.java:132) 
> ~[84:org.apache.geronimo.specs.geronimo-json_1.0_spec:1.0.0.alpha-1]
>         at javax.json.spi.JsonProvider.provider(JsonProvider.java:64) 
> ~[84:org.apache.geronimo.specs.geronimo-json_1.0_spec:1.0.0.alpha-1]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader$1.run(JsonLoader.java:59) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader$1.run(JsonLoader.java:53) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at java.security.AccessController.doPrivileged(Native Method) ~[?:?]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader.loadProvider(JsonLoader.java:53) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader.<clinit>(JsonLoader.java:49) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         ... 32 more
> Caused by: java.lang.ClassNotFoundException: 
> org.apache.johnzon.core.JsonProviderImpl not found by 
> org.apache.activemq.artemis-server-osgi [72]
>         at 
> org.apache.felix.framework.BundleWiringImpl.findClassOrResourceByDelegation(BundleWiringImpl.java:1550)
>  ~[?:?]
>         at 
> org.apache.felix.framework.BundleWiringImpl.access$200(BundleWiringImpl.java:79)
>  ~[?:?]
>         at 
> org.apache.felix.framework.BundleWiringImpl$BundleClassLoader.loadClass(BundleWiringImpl.java:1958)
>  ~[?:?]
>         at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:?]
>         at javax.json.spi.JsonProvider.doLoadProvider(JsonProvider.java:129) 
> ~[84:org.apache.geronimo.specs.geronimo-json_1.0_spec:1.0.0.alpha-1]
>         at javax.json.spi.JsonProvider.provider(JsonProvider.java:64) 
> ~[84:org.apache.geronimo.specs.geronimo-json_1.0_spec:1.0.0.alpha-1]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader$1.run(JsonLoader.java:59) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader$1.run(JsonLoader.java:53) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at java.security.AccessController.doPrivileged(Native Method) ~[?:?]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader.loadProvider(JsonLoader.java:53) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader.<clinit>(JsonLoader.java:49) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         ... 32 more
> Seems there is a class missing and cannot be loaded.
> I'm unexperienced regarding Karaf and have only little OSGI knowledge so I 
> cannot really tell what is wrong here.
> Sending and receiving "normal" messages works only the management messages 
> seem to make problems.
> Should I file this here or at the artemis project?
> Best regards,
> - Bernd Rosstauscher
> Detailed description to reproduce this 
>               
> Fresh extracted Apache Karaf 4.1.1
> Now check the bundles 
> karaf@root()> bundle:list
> START LEVEL 100 , List Threshold: 50
> ID | State  | Lvl | Version | Name
> ---+--------+-----+---------+----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> 28 | Active |  80 | 4.1.1   | Apache Karaf :: OSGi Services :: Event
> Now install Apache Artemis feature
> karaf@root()> feature:repo-add artemis
> Adding feature url 
> mvn:org.apache.activemq/artemis-features/RELEASE/xml/features
> karaf@root()> feature:install artemis
> Check the features and the bundles
> karaf@root()> feature:list -i -o
> Name                         | Version     | Required | State   | Repository  
>      | Description
> -----------------------------+-------------+----------+---------+------------------+--------------------------------------------------
> aries-blueprint              | 4.1.1       | x        | Started | 
> standard-4.1.1   | Aries Blueprint
> aries-proxy                  | 4.1.1       |          | Started | 
> standard-4.1.1   | Aries Proxy
> bundle                       | 4.1.1       | x        | Started | 
> standard-4.1.1   | Provide Bundle support
> config                       | 4.1.1       | x        | Started | 
> standard-4.1.1   | Provide OSGi ConfigAdmin support
> deployer                     | 4.1.1       | x        | Started | 
> standard-4.1.1   | Karaf Deployer
> diagnostic                   | 4.1.1       | x        | Started | 
> standard-4.1.1   | Provide Diagnostic support
> eventadmin                   | 4.1.1       | x        | Started | 
> standard-4.1.1   | OSGi Event Admin service specification for event-
> feature                      | 4.1.1       | x        | Started | 
> standard-4.1.1   | Features Support
> instance                     | 4.1.1       | x        | Started | 
> standard-4.1.1   | Provide Instance support
> jaas                         | 4.1.1       | x        | Started | 
> standard-4.1.1   | Provide JAAS support
> kar                          | 4.1.1       | x        | Started | 
> standard-4.1.1   | Provide KAR (KARaf archive) support
> log                          | 4.1.1       | x        | Started | 
> standard-4.1.1   | Provide Log support
> management                   | 4.1.1       | x        | Started | 
> standard-4.1.1   | Provide a JMX MBeanServer and a set of MBeans in
> package                      | 4.1.1       | x        | Started | 
> standard-4.1.1   | Package commands and mbeans
> scr                          | 4.1.1       |          | Started | 
> standard-4.1.1   | Declarative Service support
> service                      | 4.1.1       | x        | Started | 
> standard-4.1.1   | Provide Service support
> shell                        | 4.1.1       | x        | Started | 
> standard-4.1.1   | Karaf Shell
> shell-compat                 | 4.1.1       | x        | Started | 
> standard-4.1.1   | Karaf Shell Compatibility
> ssh                          | 4.1.1       | x        | Started | 
> standard-4.1.1   | Provide a SSHd server on Karaf
> system                       | 4.1.1       | x        | Started | 
> standard-4.1.1   | Provide System support
> wrap                         | 0.0.0       | x        | Started | 
> standard-4.1.1   | Wrap URL handler
> transaction                  | 2.0.0       |          | Started | 
> enterprise-4.1.1 | OSGi Transaction Manager
> transaction-api              | 1.2.0       |          | Started | 
> enterprise-4.1.1 |
> transaction-manager-geronimo | 1.3.2       |          | Started | 
> enterprise-4.1.1 | Geronimo Transaction Manager
> artemis                      | 2.1.0       | x        | Started | 
> artemis-2.1.0    | Full ActiveMQ Artemis broker with default configu
> artemis-amqp                 | 2.1.0       |          | Started | 
> artemis-2.1.0    | ActiveMQ Artemis AMQP protocol libraries
> artemis-core                 | 2.1.0       |          | Started | 
> artemis-2.1.0    | ActiveMQ Artemis broker libraries
> artemis-hornetq              | 2.1.0       |          | Started | 
> artemis-2.1.0    | ActiveMQ Artemis HornetQ protocol libraries
> artemis-mqtt                 | 2.1.0       |          | Started | 
> artemis-2.1.0    | ActiveMQ Artemis MQTT protocol libraries
> artemis-openwire             | 2.1.0       |          | Started | 
> artemis-2.1.0    | ActiveMQ Artemis HornetQ protocol libraries
> artemis-stomp                | 2.1.0       |          | Started | 
> artemis-2.1.0    | ActiveMQ Artemis Stomp protocol libraries
> netty-core                   | 4.1.9.Final |          | Started | 
> artemis-2.1.0    | Netty libraries
> and the bundles 
> karaf@root()> bundle:list
> START LEVEL 100 , List Threshold: 50
> ID | State  | Lvl | Version       | Name
> ---+--------+-----+---------------+----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
> 28 | Active |  80 | 4.1.1         | Apache Karaf :: OSGi Services :: Event
> 52 | Active |  80 | 19.0.0        | Guava: Google Core Libraries for Java
> 53 | Active |  80 | 4.1.9.Final   | Netty/Buffer
> 54 | Active |  80 | 4.1.9.Final   | Netty/Codec
> 55 | Active |  80 | 4.1.9.Final   | Netty/Codec/HTTP
> 56 | Active |  80 | 4.1.9.Final   | Netty/Codec/MQTT
> 57 | Active |  80 | 4.1.9.Final   | Netty/Common
> 58 | Active |  80 | 4.1.9.Final   | Netty/Handler
> 59 | Active |  80 | 4.1.9.Final   | Netty/Resolver
> 60 | Active |  80 | 4.1.9.Final   | Netty/Transport
> 61 | Active |  80 | 4.1.9.Final   | Netty/Transport/Native/Epoll
> 62 | Active |  80 | 3.0.0         | Expression Language 3.0 API
> 63 | Active |  80 | 1.2.0         | CDI APIs
> 64 | Active |  80 | 1.2           | javax.interceptor API
> 65 | Active |  80 | 1.2           | javax.transaction API
> 66 | Active |  80 | 2.1.0         | ActiveMQ Artemis AMQP Protocol
> 67 | Active |  80 | 2.1.0         | ActiveMQ Artemis HornetQ Protocol
> 68 | Active |  80 | 2.1.0         | ActiveMQ Artemis HQClient Protocol
> 69 | Active |  80 | 2.1.0         | ActiveMQ Artemis MQTT Protocol
> 70 | Active |  80 | 2.1.0         | ActiveMQ Artemis Native POM
> 71 | Active |  80 | 2.1.0         | ActiveMQ Artemis OpenWire Protocol
> 72 | Active |  80 | 2.1.0         | ActiveMQ Artemis Server OSGi
> 73 | Active |  80 | 2.1.0         | ActiveMQ Artemis STOMP Protocol
> 74 | Active |  80 | 1.1.1         | Apache Aries Transaction Blueprint
> 75 | Active |  80 | 2.1.0         | Apache Aries Transaction Blueprint
> 76 | Active |  80 | 1.3.2         | Apache Aries Transaction Manager
> 77 | Active |  80 | 1.9.2         | Apache Commons BeanUtils
> 78 | Active |  80 | 3.2.2         | Apache Commons Collections
> 79 | Active |  80 | 1.0.2         | Apache Felix Coordinator Service
> 82 | Active |  80 | 1.0.1         | geronimo-j2ee-management_1.1_spec
> 83 | Active |  80 | 1.0.0.alpha-2 | Apache Geronimo JMS Spec 2.0
> 84 | Active |  80 | 1.0.0.alpha-1 | Apache Geronimo JSon Spec 1.0
> 88 | Active |  80 | 0.22.0        | QpidJMS Client
> 89 | Active |  80 | 0.18.0        | Proton-J
> 90 | Active |  80 | 1.0.0.2       | Apache ServiceMix :: Bundles :: 
> javax.inject
> 91 | Active |  80 | 1.11.0        | hawtbuf
> 92 | Active |  80 | 3.6.13.Final  | JGroups
> Please note that there is no bundle for the org.apache.johnzon JSON 
> implementation but there should be one I think?
> When I connect to the Artemis broker management.queue to list the queues 
> available I get an exception
> karaf@root()> exception-display
> java.lang.ExceptionInInitializerError
>         at 
> org.apache.activemq.artemis.api.core.JsonUtil.toJSONArray(JsonUtil.java:46) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.api.core.management.ManagementHelper.storeResult(ManagementHelper.java:181)
>  ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.server.management.impl.ManagementServiceImpl.handleMessage(ManagementServiceImpl.java:413)
>  ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.server.impl.ServerSessionImpl.handleManagementMessage(ServerSessionImpl.java:1562)
>  ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.server.impl.ServerSessionImpl.send(ServerSessionImpl.java:1349)
>  ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.server.impl.ServerSessionImpl.send(ServerSessionImpl.java:1295)
>  ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.server.impl.ServerSessionImpl.send(ServerSessionImpl.java:1288)
>  ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.protocol.core.ServerSessionPacketHandler.handlePacket(ServerSessionPacketHandler.java:494)
>  [72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.protocol.core.impl.ChannelImpl.handlePacket(ChannelImpl.java:628)
>  [72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.protocol.core.impl.RemotingConnectionImpl.doBufferReceived(RemotingConnectionImpl.java:381)
>  [72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.protocol.core.impl.RemotingConnectionImpl.bufferReceived(RemotingConnectionImpl.java:363)
>  [72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.remoting.server.impl.RemotingServiceImpl$DelegatingBufferHandler.bufferReceived(RemotingServiceImpl.java:631)
>  [72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.core.remoting.impl.netty.ActiveMQChannelHandler.channelRead(ActiveMQChannelHandler.java:69)
>  [72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.handler.codec.ByteToMessageDecoder.fireChannelRead(ByteToMessageDecoder.java:293)
>  [54:io.netty.codec:4.1.9.Final]
>         at 
> io.netty.handler.codec.ByteToMessageDecoder.channelRead(ByteToMessageDecoder.java:267)
>  [54:io.netty.codec:4.1.9.Final]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.fireChannelRead(AbstractChannelHandlerContext.java:340)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.DefaultChannelPipeline$HeadContext.channelRead(DefaultChannelPipeline.java:1334)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:362)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.AbstractChannelHandlerContext.invokeChannelRead(AbstractChannelHandlerContext.java:348)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.DefaultChannelPipeline.fireChannelRead(DefaultChannelPipeline.java:926)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.nio.AbstractNioByteChannel$NioByteUnsafe.read(AbstractNioByteChannel.java:134)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.nio.NioEventLoop.processSelectedKey(NioEventLoop.java:624) 
> [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.nio.NioEventLoop.processSelectedKeysOptimized(NioEventLoop.java:559)
>  [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.channel.nio.NioEventLoop.processSelectedKeys(NioEventLoop.java:476) 
> [60:io.netty.transport:4.1.9.Final]
>         at io.netty.channel.nio.NioEventLoop.run(NioEventLoop.java:438) 
> [60:io.netty.transport:4.1.9.Final]
>         at 
> io.netty.util.concurrent.SingleThreadEventExecutor$5.run(SingleThreadEventExecutor.java:858)
>  [57:io.netty.common:4.1.9.Final]
>         at java.lang.Thread.run(Thread.java:745) [?:?]
> Caused by: javax.json.JsonException: org.apache.johnzon.core.JsonProviderImpl 
> not found
>         at javax.json.spi.JsonProvider.doLoadProvider(JsonProvider.java:132) 
> ~[84:org.apache.geronimo.specs.geronimo-json_1.0_spec:1.0.0.alpha-1]
>         at javax.json.spi.JsonProvider.provider(JsonProvider.java:64) 
> ~[84:org.apache.geronimo.specs.geronimo-json_1.0_spec:1.0.0.alpha-1]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader$1.run(JsonLoader.java:59) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader$1.run(JsonLoader.java:53) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at java.security.AccessController.doPrivileged(Native Method) ~[?:?]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader.loadProvider(JsonLoader.java:53) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader.<clinit>(JsonLoader.java:49) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         ... 32 more
> Caused by: java.lang.ClassNotFoundException: 
> org.apache.johnzon.core.JsonProviderImpl not found by 
> org.apache.activemq.artemis-server-osgi [72]
>         at 
> org.apache.felix.framework.BundleWiringImpl.findClassOrResourceByDelegation(BundleWiringImpl.java:1550)
>  ~[?:?]
>         at 
> org.apache.felix.framework.BundleWiringImpl.access$200(BundleWiringImpl.java:79)
>  ~[?:?]
>         at 
> org.apache.felix.framework.BundleWiringImpl$BundleClassLoader.loadClass(BundleWiringImpl.java:1958)
>  ~[?:?]
>         at java.lang.ClassLoader.loadClass(ClassLoader.java:357) ~[?:?]
>         at javax.json.spi.JsonProvider.doLoadProvider(JsonProvider.java:129) 
> ~[84:org.apache.geronimo.specs.geronimo-json_1.0_spec:1.0.0.alpha-1]
>         at javax.json.spi.JsonProvider.provider(JsonProvider.java:64) 
> ~[84:org.apache.geronimo.specs.geronimo-json_1.0_spec:1.0.0.alpha-1]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader$1.run(JsonLoader.java:59) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader$1.run(JsonLoader.java:53) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at java.security.AccessController.doPrivileged(Native Method) ~[?:?]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader.loadProvider(JsonLoader.java:53) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         at 
> org.apache.activemq.artemis.utils.JsonLoader.<clinit>(JsonLoader.java:49) 
> ~[72:org.apache.activemq.artemis-server-osgi:2.1.0]
>         ... 32 more
>               
> It now look like the org.apache.johnzon.core.JsonProviderImpl class cannot be 
> found and loaded.
>               
>               
> When I look at the feature that I found on github 
> https://github.com/apache/activemq-artemis/blob/2.1.0/artemis-features/src/main/resources/features.xml
> I see this 
> ...snip...
> <feature name="artemis-core" version="${pom.version}" description="ActiveMQ 
> Artemis broker libraries">
>               <feature>transaction</feature>
>               <feature>netty-core</feature>
>               <feature>scr</feature>
>               <configfile 
> finalname="etc/org.apache.activemq.artemis.cfg">mvn:org.apache.activemq/artemis-features/${pom.version}/cfg</configfile>
>               <configfile 
> finalname="etc/artemis.xml">mvn:org.apache.activemq/artemis-features/${pom.version}/xml/artemis</configfile>
>               <bundle 
> dependency="true">mvn:org.apache.geronimo.specs/geronimo-jms_2.0_spec/${geronimo.jms.2.spec.version}</bundle>
>               <bundle 
> dependency="true">mvn:com.google.guava/guava/${guava.version}</bundle>
>               <bundle 
> dependency="true">mvn:io.netty/netty-codec-http/${netty.version}</bundle>
>               <bundle 
> dependency="true">mvn:commons-beanutils/commons-beanutils/${commons.beanutils.version}</bundle>
>               <bundle 
> dependency="true">mvn:commons-collections/commons-collections/${commons.collections.version}</bundle>
>               <bundle 
> dependency="true">mvn:org.jboss.logging/jboss-logging/${jboss.logging.version}</bundle>
>               <bundle 
> dependency="true">mvn:org.jgroups/jgroups/${jgroups.version}</bundle>
>               <bundle 
> dependency="true">mvn:org.apache.geronimo.specs/geronimo-json_1.0_spec/${json-p.spec.version}</bundle>
>               <bundle 
> dependency="true">mvn:org.apache.johnzon/johnzon-core/${johnzon.version}</bundle>
>               
> <bundle>mvn:org.apache.activemq/artemis-native/${pom.version}</bundle>
>               
> <bundle>mvn:org.apache.activemq/artemis-server-osgi/${pom.version}</bundle>
> </feature>
> ...snip...
> And there I have as a bundle the johnzon dependency listed. Why Is it then 
> not installed and available as bundle in Karaf?
> Is this a problem in Karaf feature resolving or in the artemis packaging or 
> do I do something wrong?



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Reply via email to